[EME] Implement master pref for playing DRM content.
See user story in bug 

We want a master pref in Preferences -> Content to allow disabling all  support. It should be enabled by default, but allow a user to opt-out of DRM support.

Basically, a checkbox and link:

[X] Play DRM Content _Learn More_

Bug  comment  indicates this should basically be checkbox UI for the media.eme.enabled pref.

In support of the user stories in bug  and bug  the "Learn More" link provides an opportunity for the user to learn about what DRM is. (SUMO page TBD, initial wordsmithing in bug 

Depending on the order in which pieces land, we'll also want the Addon Manager side to honor this pref (to inhibit CDM  and indicate any CDMs as disabled).

I believe we also want to use this pref to be used by users who are fundamentally opposed to DRM, so that any already-installed CDMs will be removed from their system. The exact way that functions is TBD -- we could immediately uninstall when clearing the checkbox, but it might be less of a footgun to uninstall at the next browser restart. [Again, depending on the order of this bug and the Addon Manager work, this part could be spun out into a followup.]
